| DocBook: The Definitive Guide Version 2.0.7 (Alpha)

# systemitem

$Revision: 1.4 $

$Date: 2002/06/12 11:18:40 $

systemitem — A system-related item or term

## Synopsis

### Mixed Content Model

    systemitem ::=
    (#PCDATA|link|olink|ulink|action|application|classname|methodname|
     interfacename|exceptionname|ooclass|oointerface|ooexception|
     command|computeroutput|database|email|envar|errorcode|errorname|
     errortype|errortext|filename|function|guibutton|guiicon|guilabel|
     guimenu|guimenuitem|guisubmenu|hardware|interface|keycap|keycode|
     keycombo|keysym|literal|constant|markup|medialabel|menuchoice|
     mousebutton|option|optional|parameter|prompt|property|
     replaceable|returnvalue|sgmltag|structfield|structname|symbol|
     systemitem|token|type|userinput|varname|nonterminal|anchor|
     remark|subscript|superscript|inlinegraphic|inlinemediaobject|
     indexterm|beginpage|acronym|co)*

### Attributes

Common attributes

Name | Type | Default

moreinfo

Enumeration:
none
refentry

"none"

class

Enumeration:
constant
domainname
etheraddress
event
eventhandler
filesystem
fqdomainname
groupname
ipaddress
library
macro
netmask
newsgroup
osname
resource
systemname
username

None

## Description

A `SystemItem` identifies any system-related item or term. The `Class` attribute defines a number of common system-related terms.

Many inline elements in DocBook are, in fact, system-related. Some of the objects identified by the `Class` attribute on `SystemItem` may eventually migrate out to be inline elements of their own accord…and vice versa.

### Processing expectations

Formatted inline. The `MoreInfo` attribute can help generate a link or query to retrieve additional information.

### Future Changes

In DocBook V4.0, the content model of `SystemItem` will be constrained to `(#PCDATA | Replaceable | InlineGraphic)`.

Also, the `EnvironVar` and `Prompt` values of `Class` will be discarded (use `EnVar` and `Prompt` instead).

### Future Changes

The `register` class value will be added to support CPU registers. The `constant` class value will be removed.

### Parents

These elements contain systemitem: `action`, `application`, `attribution`, `bibliomisc`, `bridgehead`, `citation`, `citetitle`, `classsynopsisinfo`, `command`, `computeroutput`, `database`, `emphasis`, `entry`, `filename`, `foreignphrase`, `funcparams`, `funcsynopsisinfo`, `function`, `glosssee`, `glossseealso`, `glossterm`, `hardware`, `interfacename`, `keycap`, `lineannotation`, `link`, `literal`, `literallayout`, `lotentry`, `member`, `msgaud`, `olink`, `option`, `optional`, `para`, `parameter`, `phrase`, `primary`, `primaryie`, `productname`, `programlisting`, `property`, `quote`, `refdescriptor`, `refentrytitle`, `refname`, `refpurpose`, `remark`, `screen`, `screeninfo`, `secondary`, `secondaryie`, `see`, `seealso`, `seealsoie`, `seeie`, `seg`, `segtitle`, `simpara`, `subtitle`, `synopsis`, `systemitem`, `term`, `tertiary`, `tertiaryie`, `title`, `titleabbrev`, `tocback`, `tocentry`, `tocfront`, `trademark`, `ulink`, `userinput`.

### Children

The following elements occur in systemitem: `acronym`, `action`, `anchor`, `application`, `beginpage`, `classname`, `co`, `command`, `computeroutput`, `constant`, `database`, `email`, `envar`, `errorcode`, `errorname`, `errortext`, `errortype`, `exceptionname`, `filename`, `function`, `guibutton`, `guiicon`, `guilabel`, `guimenu`, `guimenuitem`, `guisubmenu`, `hardware`, `indexterm`, `inlinegraphic`, `inlinemediaobject`, `interface`, `interfacename`, `keycap`, `keycode`, `keycombo`, `keysym`, `link`, `literal`, `markup`, `medialabel`, `menuchoice`, `methodname`, `mousebutton`, `nonterminal`, `olink`, `ooclass`, `ooexception`, `oointerface`, `option`, `optional`, `parameter`, `prompt`, `property`, `remark`, `replaceable`, `returnvalue`, `sgmltag`, `structfield`, `structname`, `subscript`, `superscript`, `symbol`, `systemitem`, `token`, `type`, `ulink`, `userinput`, `varname`.

## Attributes

class

  `Class` indicates the type of `SystemItem`.

moreinfo

  If `MoreInfo` is set to `RefEntry`, it implies that a `RefEntry` exists which further describes the `SystemItem`.

## See Also

`computeroutput`, `envar`, `filename`, `prompt`, `userinput`.

## Examples

    <!DOCTYPE para PUBLIC "-//OASIS//DTD DocBook XML V4.1.2//EN"
              "http://www.oasis-open.org/docbook/xml/4.1.2/docbookx.dtd">
    <para>
    For many years, O'Reilly's primary web server,
    <ulink url="http://www.oreilly.com/">http://www.oreilly.com/</ulink>,
    was hosted by <application>WN</application> on
    <systemitem class="systemname">helio.oreilly.com</systemitem>.
    </para>

For many years, O'Reilly's primary web server, http://www.oreilly.com/, was hosted by WN on `helio.oreilly.com`.

For additional examples, see also `part`.

synopsis |  | table

Copyright © 1999, 2000, 2001, 2002 O'Reilly & Associates, Inc. All rights reserved.